<?php
//include "clase.conexion.php";
class clsRegistroCompras extends clsConexion{
	public $varTitulo = "REGISTRAR PAGOS A PROVEEDORES";
	public $varMyTabla  = "_sv_compra";
	public $varMyID  	  = "id_compra";
	function FormuBusqueda() {
		$varEst = array("AC"=>"ACTIVO", "CA"=>"CANCELADO","AN"=>"ANULADO");
		$varTabla=array("id"=>"tabla", "name"=>"table", "tamano"=>"450", "clase"=>"FormTitulo", "titulo"=>$this->varTitulo,
						"formu"=>array("id"=>"form", "name"=>"form", "metodo"=>"POST", "onsubmit"=>"return false;"),						
						"ocult"=>array(array("tipo"=>"oculto", "id"=>"titu", "name"=>"titu", "valor"=>$this->varTitulo),
									   array("tipo"=>"oculto", "id"=>"opt", "name"=>"opt", "valor"=>$Opcion)
									  ),
						"conte"=>array(array("titulo"=>"Proveedor :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "campo"=>array("tipo"=>"varios",
														    "contenido"=>array(array("tipo"=>"text", "id"=>"pcod", "name"=>"pcod", "valor"=>$varPCOD, 
																					 "ancho"=>"50",  "alinear"=>"center", 
																					 "blur"=>"xajax_seleccionar_proveedor_cxp(this.value)", 
																					 "dclick"=>"fn_cargar_listado_proveedor_cxp('pcod', 'pnom')"),
																			   array("tipo"=>"text", "id"=>"pnom", "name"=>"pnom", "valor"=>$varPNOM, 
																			   		 "ancho"=>"250", "clase"=>"inputDisable", "locked"=>"SI")
																			   )
														 )
										  	 ),	
									   array("titulo"=>"Tipo Doc. :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"text", "id"=>"tcod", "name"=>"tcod", "valor"=>$_POST["tcod"],
																					 "ancho"=>"50", "alinear"=>"center", 
																					 "keypress"=>"return SoloEnteros(event)",
																					 "blur"=>"xajax_seleccionar_tipo_docpago(this.value)", 
																					 "dclick"=>"fn_cargar_listado_tipo_docpago('tcod', 'tnom')"),
																			   array("tipo"=>"text", "id"=>"tnom", "name"=>"tnom", "valor"=>$_POST["tnom"], 
																					 "ancho"=>"250", "clase"=>"inputDisable", "locked"=>"SI")
																			   )
														 	)
											 ),
									   array("titulo"=>"Fecha Inicial :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"texto", "id"=>"fini", "name"=>"fini", "alinear"=>"center",
																					 "ancho"=>"130", "valor"=>$varFINI)
																			   )
														 	)
											 ),
									   array("titulo"=>"Fecha Final :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"texto", "id"=>"ffin", "name"=>"ffin", "alinear"=>"center", 
																					 "ancho"=>"130", "valor"=>$varFFIN)
																			   )
														 	)
											 )
									 ),
					  "boton"=>array(array("tipo"=>"submit", "id"=>"bcon", "name"=>"bcon", "ancho"=>"100", "texto"=>"Buscar",
					  					   "clase"=>"boton_buscar", "click"=>"javascript:xBuscarJS()"),
									 array("tipo"=>"button", "id"=>"bexp", "name"=>"bexp", "ancho"=>"100", "texto"=>"Exportar",
									 	   "clase"=>"boton_exportar", "click"=>"javascript:xExportarJS()")
									 )
					);
		return $this->setTablaForm($varTabla);
		}
 	
	function GridDatos($varForm  = NULL, 
					   $varField = NULL, 
					   $varOrder = NULL
					   ) {
		$varPro = (isset($varForm["pcod"]) && $varForm["pcod"]<>'')? $varForm["pcod"]:"NULL";
		$varTip = (isset($varForm["tcod"]) && $varForm["tcod"]<>'')? $varForm["tcod"]:"NULL";
		$varIni = (isset($varForm["fini"]) && $varForm["fini"]<>'')? "'".FechaMySql($varForm["fini"])."'":"NULL";
		$varFin = (isset($varForm["ffin"]) && $varForm["ffin"]<>'')? "'".FechaMySql($varForm["ffin"])."'":"NULL";
		$varUsr = (isset($_SESSION["_CUSE"]))?$_SESSION["_CUSE"]:1;
		$varFie = (isset($varField) && $varField<>'')? "'$varField'":"NULL";
		$varOrd = (isset($varOrder) && $varOrder<>'')? "'$varOrder'":"NULL";
		
		$sql = "call spQuery_CXP_Cuentas_Pagar($varPro, $varTip, $varIni, $varFin, $varFie, $varOrd);";
		
		$varTabla=array("id"=>"theTable", "name"=>"theTable", "tamano"=>"1000", "sql_cab"=>$sql, "pages"=>50,
						"conte"=>array(array("tamano"=>20, "titulo"=>"IDE", "alinear"=>"center"),
									   array("tamano"=>50, "titulo"=>"FEMI", "alinear"=>"center"),
									   array("tamano"=>50, "titulo"=>"FMOV", "alinear"=>"center"),
									   array("tamano"=>50, "titulo"=>"FVEN", "alinear"=>"center"),
									   array("tamano"=>10, "titulo"=>"CTIP", "alinear"=>"center", "oculto"=>"SI"),
									   array("tamano"=>50, "titulo"=>"TIPO", "fijo"=>"SI"),
									   array("tamano"=>50, "titulo"=>"ABREV", "fijo"=>"SI", "oculto"=>"SI"),
									   array("tamano"=>90, "titulo"=>"DOCUMENTO", "alinear"=>"center"),
									   array("tamano"=>40, "titulo"=>"EST.", "alinear"=>"center"),										   
									   array("tamano"=>10, "titulo"=>"CPRO", "alinear"=>"center"),
									   array("tamano"=>250,"titulo"=>"PROVEEDOR", "fijo"=>"SI", "funcion"=>array("contar")),
									   array("tamano"=>250,"titulo"=>"GLOSA", "fijo"=>"SI", "oculto"=>"SI"),
									   array("tamano"=>60, "titulo"=>"SUB TOTAL", "alinear"=>"right", "funcion"=>array("autosuma"), "oculto"=>"SI"),
									   array("tamano"=>60, "titulo"=>"IGV", "alinear"=>"right", "funcion"=>array("autosuma"), "oculto"=>"SI"),
									   array("tamano"=>60, "titulo"=>"TOTAL", "alinear"=>"right", "funcion"=>array("autosuma")),
									   array("tamano"=>60, "titulo"=>"SALDO", "alinear"=>"right", "funcion"=>array("autosuma")),
									   array("tamano"=>100, "titulo"=>"FCREADO", "alinear"=>"center", "oculto"=>"SI"),
									   array("tamano"=>100, "titulo"=>"FMODIFI", "alinear"=>"center", "oculto"=>"SI"),
									   array("tamano"=>100, "titulo"=>"UCREADO", "alinear"=>"center", "oculto"=>"SI"),
									   array("tamano"=>100, "titulo"=>"UMODIFI", "alinear"=>"center", "oculto"=>"SI")
									   ),
						"boton"=>array(array("cond"=>array(array(3,"<>","AN")),
										   		 "tipo"=>"img", "id"=>"banu", "name"=>"banu", "img"=>"images/16x16/money_add.png", 
												 "toltip"=>array(array("valor"=>"HAGA CLICK PARA <b>REALIZAR UN PAGO</b> A LA COMPRA"),
												 				 array("valor"=>"<br><b>Proveedor : </b>"),
																 array("valor"=>9, "tipo"=>"INDEX"),
																 array("valor"=>" - "),
																 array("valor"=>10, "tipo"=>"INDEX"),
																 array("valor"=>"<br><b>Fecha Emisi&oacute;n : </b>"),
																 array("valor"=>1, "tipo"=>"INDEX"),
																 array("valor"=>"<br><b>Fecha Movimiento : </b>"),
																 array("valor"=>2, "tipo"=>"INDEX"),
																 array("valor"=>"<br><b>Fecha Vencimiento : </b>"),
																 array("valor"=>3, "tipo"=>"INDEX"),
																 array("valor"=>"<br><b>Tipo Doc. : </b>"),
																 array("valor"=>5, "tipo"=>"INDEX"),
																 array("valor"=>"<br><b>Documento : </b>"),
																 array("valor"=>6, "tipo"=>"INDEX")
												   				),
												 "click"=>array("funcion"=>"FormuPagoJS",
																"param"=>array(array("valor"=>0, "tipo"=>"INDEX"),
																			   array("valor"=>"this", "tipo"=>"NUM") 
																			  )
																)												 
												),									  
										   array("tipo"=>"img", "id"=>"bbus", "name"=>"bbus", "img"=>"images/b_table.png", 
												 "toltip"=>array(array("valor"=>"HAGA CLICK PARA <b>VER EL DETALLE</b> DE LA COMPRA"),
												 				 array("valor"=>"<br><b>Proveedor : </b>"),
																 array("valor"=>9, "tipo"=>"INDEX"),
																 array("valor"=>" - "),
																 array("valor"=>10, "tipo"=>"INDEX"),
																 array("valor"=>"<br><b>Fecha Emisi&oacute;n : </b>"),
																 array("valor"=>1, "tipo"=>"INDEX"),
																 array("valor"=>"<br><b>Fecha Movimiento : </b>"),
																 array("valor"=>2, "tipo"=>"INDEX"),
																 array("valor"=>"<br><b>Fecha Vencimiento : </b>"),
																 array("valor"=>3, "tipo"=>"INDEX"),
																 array("valor"=>"<br><b>Tipo Doc. : </b>"),
																 array("valor"=>5, "tipo"=>"INDEX"),
																 array("valor"=>"<br><b>Documento : </b>"),
																 array("valor"=>6, "tipo"=>"INDEX")
												   				),
												 "click"=>array("funcion"=>"FormuDetalleJS",
																"param"=>array(array("valor"=>0, 	  "tipo"=>"INDEX"))
																)
												 
												),
										)
							);
		return $this->SetGridTabla2($varTabla);
		//return $sql;
		}
	
	function FormuPago($varCod=NULL) {
		$sql = "CALL spQuery_Registro_Compras_Cabecera($varCod)";
		$this->AbrirConexion();
		$rs = $this->Query($sql);
		$this->CerrarConexion();
		$Fila = $this->FetchArray($rs);

		$varTabla1=array("id"=>"tabla", "name"=>"table", "tamano"=>"450", "clase"=>"FormTitulo", "titulo"=>$this->varTitulo,
						 "ocult"=>array(array("tipo"=>"oculto", "id"=>"titu", "name"=>"titu", "valor"=>$this->varTitulo." - ".$Fila["LISTA"]),
									    array("tipo"=>"oculto", "id"=>"opt", "name"=>"opt",   "valor"=>"DET"),
									    array("tipo"=>"oculto", "id"=>"sal", "name"=>"sal",   "valor"=>$Fila["SALDO"]),
										array("tipo"=>"oculto", "id"=>"femi", "name"=>"femi",   "valor"=>$Fila["FEMI"]),
										array("tipo"=>"oculto", "id"=>"pro", "name"=>"pro",   "valor"=>$Fila["CPRO"]),
										array("tipo"=>"oculto", "id"=>"ide", "name"=>"ide",   "valor"=>$varCod)
									    ),
						 "conte"=>array(array("titulo"=>"Ide :", "clase1"=>"FormCampo1", "clase2"=>"interior", "tamano"=>"100",
											  "campo" =>array("tipo"=>"texto", "id"=>"cod", "name"=>"cod", "clase"=>"inputDisable",
											  "valor"=>$Fila["IDE"], "alinear"=>"center", "locked"=>"SI", "ancho"=>"70")),
									    array("titulo"=>"F. Emision :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											  "campo"=>array("tipo"=>"varios",
															 "contenido"=>array(array("tipo"=>"simple", "valor"=>$Fila["FEMI"],
																					  "alinear"=>"right", "ancho"=>"110"),
																			    array("tipo"=>"simple", "valor"=>"F. Movimiento :", "ancho"=>"90", 
																			   		 "clase_in"=>"FormCampo1"),
																			   array("tipo"=>"simple", "valor"=>$Fila["FMOV"],
																					 "alinear"=>"right", "ancho"=>"70")
																			   )
														 )
											 ),
									   array("titulo"=>"F. Vencimiento :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"simple", "valor"=>$Fila["FVEN"],
																					 "alinear"=>"right", "ancho"=>"110"),
																			   array("tipo"=>"simple", "valor"=>"Dias Vencidos :", "ancho"=>"90", 
																			   		 "clase_in"=>"FormCampo1"),
																			   array("tipo"=>"simple", "valor"=>number_format($Fila["DIASV"], 0,'.',','),
																					 "alinear"=>"right", "ancho"=>"70")
																			   )
														 )
											 ),
									   array("titulo"=>"Documento :", "clase1"=>"FormCampo1", "clase2"=>"interior", "texto"=>$Fila["CTIP"]." &nbsp; ".$Fila["NDOC"]),
									   array("titulo"=>"Proveedor :", "clase1"=>"FormCampo1", "clase2"=>"interior", "texto"=>$Fila["CPRO"].' - '.$Fila["PROVEEDOR"]),
									   array("titulo"=>"Glosa :", "clase1"=>"FormCampo1", "clase2"=>"interior", "texto"=>$Fila["GLOSA"]),
									   array("titulo"=>"Sub Total :", "clase1"=>"FormCampo1", "clase2"=>"interior", "texto"=>number_format($Fila["SUBTOTAL"], 2,'.',',')),
									   array("titulo"=>"IGV :", "clase1"=>"FormCampo1", "clase2"=>"interior", "texto"=>number_format($Fila["IGV"], 2,'.',',')),
									   array("titulo"=>"Total :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"simple", "valor"=>number_format($Fila["TOTAL"], 2,'.',','),
																					 "alinear"=>"right", "ancho"=>"80"),
																			   array("tipo"=>"simple", "valor"=>"A Cuenta :", "ancho"=>"70", "clase_in"=>"FormCampo1"),
																			   array("tipo"=>"simple", "valor"=>number_format($Fila["PAGOS"], 2,'.',','),
																					 "alinear"=>"right", "ancho"=>"80"),
																			   array("tipo"=>"simple", "valor"=>"Saldo :", "ancho"=>"70", "clase_in"=>"FormCampo1"),
																			   array("tipo"=>"simple", "valor"=>number_format($Fila["SALDO"], 2,'.',','),
																					 "alinear"=>"right", "ancho"=>"80"),
																			   )
														 )
											 ),
									   array("titulo"=>"Estado :", "clase1"=>"FormCampo1", "clase2"=>"interior", "texto"=>$Fila["ESTADO"]),
									   array("titulo"=>"F/U Creado :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
									   		 "texto"=>$Fila["USER_CREATE"]." &nbsp; - &nbsp; ".$Fila["DATE_CREATE"]),
									   array("titulo"=>"F/U Modificado :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["USER_UPDATE"]." &nbsp; - &nbsp; ".$Fila["DATE_UPDATE"])
									   )
						);
		$sqlpag = "select id_tipo_pago, nombre from _sv_tipo_doc_pago;";
		$varTabla2=array("id"=>"tabla_cli", "name"=>"table_cli", "tamano"=>"450", "clase"=>"Formtitulo", "titulo"=>"DETALLE DEL PAGO",						
						 "conte"=>array(array("titulo"=>"Tipo Pago :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											  "campo"=>array("tipo"=>"varios",
															 "contenido"=>array(array("tipo"=>"select", "id"=>"tip", "name"=>"tip", "valor"=>NULL,
															 						 "combo"=>array("sql"=>$sqlpag, "ancho"=>"300", "sincod"=>"SI")))
														 	 )),
										array("titulo"=>"Nro. Doc. Pago :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											  "campo"=>array("tipo"=>"varios",
															 "contenido"=>array(array("tipo"=>"texto", "id"=>"num", "name"=>"num", "valor"=>NULL, "ancho"=>"170"))
														 	)),
										array("titulo"=>"Fecha Pago :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											  "campo"=>array("tipo"=>"varios",
															 "contenido"=>array(array("tipo"=>"texto", "id"=>"fpag", "name"=>"fpag", 
																					 "valor"=>date( "d/m/Y",time()),"alinear"=>"center", "ancho"=>"120")
																			   )
														 )
											 ),
										array("titulo"=>"Monto Pagar :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"texto", "id"=>"pag", "name"=>"pag", "valor"=>NULL, 
																					 "keypress"=>"return SoloNumeros(event)", "alinear"=>"center", "ancho"=>"120")
																			   )
														 )
											 ),
										array("titulo"=>"Observacion :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											  "campo"=>array("tipo"=>"varios",
															 "contenido"=>array(array("tipo"=>"area", "id"=>"obs", "name"=>"obs", "valor"=>NULL, 
															 						  "ancho"=>"300", "alto"=>"50"))
														 	))
									   ),
						 "boton"=>array(array("tipo"=>"button", "id"=>"bnew", "name"=>"bnew", "ancho"=>"130", "texto"=>"Registrar Pago", 
										      "clase"=>"boton_guardar", "click"=>"javascript:xGrabarJS()"),
									  	array("tipo"=>"button", "id"=>"breg", "name"=>"breg", "ancho"=>"100",
										   	  "clase"=>"boton_cancelar", "texto"=>"Cancelar", "click"=>"javascrip:xajax_xRegresar()")
										)
						);
		$varReturn = "<form id=\"formPago\" name=\"formPago\" method=\"POST\" >";	
		$varReturn.= $this->setTablaForm($varTabla1);
		$varReturn.= $this->setTablaForm($varTabla2);
		$varReturn.= "</form>";
		return $varReturn;
		}
	
	function FormuDetalleFloat($varCod=NULL) {
		$sql = "CALL spQuery_Registro_Compras_Cabecera($varCod)";
		$this->AbrirConexion();
		$rs = $this->Query($sql);
		$this->CerrarConexion();
		$Fila = $this->FetchArray($rs);

		$varTabla=array("id"=>"tabla", "name"=>"table", "tamano"=>"500", "clase"=>"FormTitulo", "titulo"=>$this->varTitulo." - DETALLE",					
						"formu"=>array("id"=>"form", "name"=>"form", "metodo"=>"POST", "onsubmit"=>"return false;"),
						"ocult"=>array(array("tipo"=>"oculto", "id"=>"titu", "name"=>"titu", "valor"=>$this->varTitulo." - ".$Fila["LISTA"]),
									   array("tipo"=>"oculto", "id"=>"opt", "name"=>"opt",   "valor"=>"DET")
									  ),
						"conte"=>array(array("titulo"=>"Ide :", "clase1"=>"FormCampo1", "clase2"=>"interior", "tamano"=>"120",
											 "campo" =>array("tipo"=>"texto", "id"=>"cod", "name"=>"cod", "clase"=>"inputDisable",
											 "valor"=>$Fila["IDE"], "alinear"=>"center", "locked"=>"SI", "ancho"=>"70")),
									   array("titulo"=>"Fecha Emision :", "clase1"=>"FormCampo1", "clase2"=>"interior", "texto"=>$Fila["FEMI"]),
									   array("titulo"=>"Fecha Movimiento :", "clase1"=>"FormCampo1", "clase2"=>"interior", "texto"=>$Fila["FMOV"]),
									   array("titulo"=>"Fecha Vencimiento :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"simple", "valor"=>$Fila["FVEN"],
																					 "alinear"=>"right", "ancho"=>"200"),
																			   array("tipo"=>"simple", "valor"=>"Dias Vencidos :", "ancho"=>"90", "clase_in"=>"FormCampo1"),
																			   array("tipo"=>"simple", "valor"=>number_format($Fila["DIASV"], 0,'.',','),
																					 "alinear"=>"right", "ancho"=>"70")
																			   )
														 )
											 ),
									   array("titulo"=>"Documento :", "clase1"=>"FormCampo1", "clase2"=>"interior", "texto"=>$Fila["CTIP"]." &nbsp; ".$Fila["NDOC"]),
									   array("titulo"=>"Proveedor :", "clase1"=>"FormCampo1", "clase2"=>"interior", "texto"=>$Fila["CPRO"].' - '.$Fila["PROVEEDOR"]),
									   array("titulo"=>"Glosa :", "clase1"=>"FormCampo1", "clase2"=>"interior", "texto"=>$Fila["GLOSA"]),
									   array("titulo"=>"Sub Total :", "clase1"=>"FormCampo1", "clase2"=>"interior", "texto"=>number_format($Fila["SUBTOTAL"], 2,'.',',')),
									   array("titulo"=>"IGV :", "clase1"=>"FormCampo1", "clase2"=>"interior", "texto"=>number_format($Fila["IGV"], 2,'.',',')),
									   array("titulo"=>"Total :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"simple", "valor"=>number_format($Fila["TOTAL"], 2,'.',','),
																					 "alinear"=>"right", "ancho"=>"70"),
																			   array("tipo"=>"simple", "valor"=>"A Cuenta :", "ancho"=>"60", "clase_in"=>"FormCampo1"),
																			   array("tipo"=>"simple", "valor"=>number_format($Fila["PAGOS"], 2,'.',','),
																					 "alinear"=>"right", "ancho"=>"70"),
																			   array("tipo"=>"simple", "valor"=>"Saldo :", "ancho"=>"60", "clase_in"=>"FormCampo1"),
																			   array("tipo"=>"simple", "valor"=>number_format($Fila["SALDO"], 2,'.',','),
																					 "alinear"=>"right", "ancho"=>"70"),
																			   )
														 )
											 ),
									   array("titulo"=>"Estado :", "clase1"=>"FormCampo1", "clase2"=>"interior", "texto"=>$Fila["ESTADO"]),
									   array("titulo"=>"F/U Creado :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
									   		 "texto"=>$Fila["USER_CREATE"]." &nbsp; - &nbsp; ".$Fila["DATE_CREATE"]),
									   array("titulo"=>"F/U Modificado :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["USER_UPDATE"]." &nbsp; - &nbsp; ".$Fila["DATE_UPDATE"])
									   ),
							  "boton"=>array(array("tipo"=>"button", "id"=>"breg", "name"=>"breg", "ancho"=>"100",
											   "clase"=>"boton_cancelar", "texto"=>"Cerrar", "click"=>"window.close()")
										)
						);		
		$varReturn = $this->setTablaForm($varTabla);
		
		return $varReturn;
		}
		
	function ProcesoGrabar($varForm = NULL) {
		$varUsr = (isset($_SESSION["_CUSE"]))?$_SESSION["_CUSE"]:1;
		$varPro = (isset($varForm["pro"]) && $varForm["pro"]<>"")? $varForm["pro"] : "NULL";
		$varCom = (isset($varForm["ide"]) && $varForm["ide"]<>"")? $varForm["ide"] : "NULL";
		$varTip = (isset($varForm["tip"]) && $varForm["tip"]<>"Ninguno")? $varForm["tip"] : "NULL";
		$varNum = (isset($varForm["num"]) && $varForm["num"]<>"")?"'".$varForm["num"]."'": "NULL";
		$varFec = ($varForm["fpag"]<>"")?"'".FechaMySql($varForm["fpag"])."'":"NULL";
		$varPro = (isset($varForm["pro"]) && $varForm["pro"]<>"")? $varForm["pro"] : "NULL";
		$varSal = (isset($varForm["sal"]) && $varForm["sal"]<>"")? $varForm["sal"] : "NULL";
		$varPag = (isset($varForm["pag"]) && $varForm["pag"]<>"")? $varForm["pag"] : "NULL";
		$varObs = (isset($varForm["obs"]) && $varForm["obs"]<>"")?"'".$varForm["obs"]."'": "NULL";		
		$sql = "CALL spMante_Pago_CxP('NEW', NULL, $varPro, $varCom, $varTip, $varNum, $varFec, $varSal, $varPag, $varObs, $varUsr);";
		$this->AbrirConexion();
		$this->Query($sql);
		$this->CerrarConexion();	
		return "OK";
		}
		
	function ProcesoEliminar($varCod) {
		$varUsr = (isset($_SESSION["_CUSE"]))?$_SESSION["_CUSE"]:1;
		$sql = "call spMante_Compra_Anular($varCod, $varUsr);";
		$this->AbrirConexion();
		$rs = $this->Query($sql);
		$this->CerrarConexion();	
		$varTipo = $this->NumField($rs);
		$varReturn = "";
		if ($varTipo==1) {
			$fila = $this->FetchArray($rs);
			$varReturn = $fila[0];
			}
		else {
			$varReturn.="CPRO\tPRODUCTO\t\t\t\t\t\t\t\t\tUM_COMP.\tCANT.COM.\tCANT.COM2\tUM_STK\tCANT.STK\tDIFER\n";
			$varReturn.="---------------------------------------------------------------------------------------------------------------------";
			$varReturn.="--------------------------------------------------------\n";
			while($fila = $this->FetchArray($rs)) {				
				$varReturn.=$fila["CPRO"]."\t".$fila["PRODUCTO"]."\t\t".$fila["UM_COMPRA"]."\t\t".number_format($fila["CANT_COMPRA"], 2,'.',',')."\t\t";
				$varReturn.=number_format($fila["CANT_COMPRA_STOCK"], 2,'.',',')."\t\t";
				$varReturn.=$fila["UM_STOCK"]."\t\t".str_pad(number_format($fila["CANT_STOCK"], 2,'.',','),6, STR_PAD_LEFT)."\t\t";
				$varReturn.=str_pad(number_format($fila["DIFERENCIA"], 2,'.',','),6, STR_PAD_LEFT)."\n";
				}
			}
		return $varReturn;
		}
	}
	
?>